<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/navigation_graph"
    app:startDestination="@id/mapFragment">
    <fragment
        android:id="@+id/mapFragment"
        android:name="cat.itb.geobirdwatch.fragments.MapFragment"
        android:label="fragment_map"
        tools:layout="@layout/fragment_map" >
        <action
            android:id="@+id/action_mapFragment_to_addMarkerFragment"
            app:destination="@id/addMarkerFragment"
            app:launchSingleTop="false" />
    </fragment>
    <fragment
        android:id="@+id/markerListFragment"
        android:name="cat.itb.geobirdwatch.fragments.MarkerListFragment"
        android:label="fragment_list"
        tools:layout="@layout/fragment_marker_list" />
    <fragment
        android:id="@+id/addMarkerFragment"
        android:name="cat.itb.geobirdwatch.fragments.AddMarkerFragment"
        android:label="fragment_add_marker"
        tools:layout="@layout/fragment_add_marker" >
        <action
            android:id="@+id/action_addMarkerFragment_to_mapFragment"
            app:destination="@id/mapFragment" />
        <action
            android:id="@+id/action_addMarkerFragment_to_cameraFragment"
            app:destination="@id/cameraFragment" />
    </fragment>
    <fragment
        android:id="@+id/cameraFragment"
        android:name="cat.itb.geobirdwatch.fragments.CameraFragment"
        android:label="fragment_camera"
        tools:layout="@layout/fragment_camera" >
        <action
            android:id="@+id/action_cameraFragment_to_addMarkerFragment"
            app:destination="@id/addMarkerFragment" />
    </fragment>
</navigation>